apiVersion: admissionregistration.k8s.io/v1
kind: ValidatingWebhookConfiguration
metadata:
  annotations:
    operator-sdk/primary-resource: openshift-cnv/ssp-kubevirt-hyperconverged
    operator-sdk/primary-resource-type: SSP.ssp.kubevirt.io
  creationTimestamp: "2025-10-29T11:54:05Z"
  generation: 2
  labels:
    app.kubernetes.io/component: templating
    app.kubernetes.io/managed-by: ssp-operator
    app.kubernetes.io/name: template-validator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
  name: virt-template-validator
  resourceVersion: "2226500"
  uid: 350f88cb-1c38-4393-bf29-dc77443b37c4
webhooks:
- admissionReviewVersions:
  - v1
  clientConfig:
    service:
      name: virt-template-validator
      namespace: openshift-cnv
      path: /virtualmachine-validate
      port: 443
  failurePolicy: Fail
  matchPolicy: Equivalent
  name: virtualmachine-admission.ssp.kubevirt.io
  namespaceSelector: {}
  objectSelector: {}
  rules:
  - apiGroups:
    - kubevirt.io
    apiVersions:
    - v1alpha3
    operations:
    - CREATE
    - UPDATE
    resources:
    - virtualmachines
    scope: '*'
  - apiGroups:
    - kubevirt.io
    apiVersions:
    - v1
    operations:
    - CREATE
    - UPDATE
    resources:
    - virtualmachines
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
- admissionReviewVersions:
  - v1
  clientConfig:
    service:
      name: virt-template-validator
      namespace: openshift-cnv
      path: /template-validate
      port: 443
  failurePolicy: Fail
  matchPolicy: Equivalent
  name: template-admission.ssp.kubevirt.io
  namespaceSelector: {}
  objectSelector:
    matchLabels:
      template.kubevirt.io/type: base
  rules:
  - apiGroups:
    - template.openshift.io
    apiVersions:
    - v1
    operations:
    - DELETE
    resources:
    - templates
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
